from django.conf import settings
from edc_constants.constants import NOT_APPLICABLE, YES, NO, TRUE, FALSE
from edc_utils import get_utcnow
from faker import Faker
from model_bakery.recipe import Recipe, seq

from .constants import NOT_WORKING_FOR_PAY

fake = Faker()

coronaviruskap_options = dict(
    alcohol=FALSE,
    avoid_crowds=TRUE,
    call_nurse="unlikely",
    corona_concern="somewhat",
    dia_blood_pressure=85,
    diabetic=NO,
    diabetic_dx_year=None,
    diabetic_missed_doses=None,
    diabetic_on_meds=NOT_APPLICABLE,
    education="secondary",
    employment=NOT_APPLICABLE,
    employment_other=None,
    employment_status=NOT_WORKING_FOR_PAY,
    face_masks=TRUE,
    family_infection_likelihood="very",
    hand_sanitizer=TRUE,
    health_insurance="private",
    health_insurance_other=None,
    height=120,
    hiv_missed_doses=0,
    hiv_pos=YES,
    hiv_pos_year=2006,
    hiv_year_started_art=2006,
    hot_climate=TRUE,
    hot_drinks=FALSE,
    household_size=3,
    hypertensive=NO,
    hypertensive_dx_year=None,
    hypertensive_missed_doses=None,
    hypertensive_on_meds=NOT_APPLICABLE,
    know_other_symptoms=NO,
    lives_on_materials=TRUE,
    married=YES,
    nights_away=4,
    perc_die=50,
    perc_mild_symptom=50,
    perceived_threat=8,
    personal_health_opinion="good",
    personal_infection_likelihood="very",
    protocol=settings.APP_NAME,
    report_datetime=get_utcnow(),
    severity_age=TRUE,
    severity_diabetes_hypertension=TRUE,
    severity_hiv=TRUE,
    social_distance=TRUE,
    spread_asymptomatic=TRUE,
    spread_droplets=TRUE,
    spread_sick=TRUE,
    spread_touch2=TRUE,
    spread_touch=TRUE,
    stay_home="unlikely",
    stay_indoors=TRUE,
    stop_chronic_meds="unlikely",
    symptoms_body_aches=TRUE,
    symptoms_breathing=TRUE,
    symptoms_dry_cough=TRUE,
    symptoms_fever=TRUE,
    symptoms_headache=TRUE,
    symptoms_other=None,
    symptoms_smell=TRUE,
    sys_blood_pressure=120,
    take_herbs_prevention=TRUE,
    take_herbs_symptoms="unlikely",
    take_meds="unlikely",
    unpaid_work="retired",
    visit_clinic="unlikely",
    visit_religious="unlikely",
    visit_traditional="unlikely",
    wash_hands=TRUE,
    weight=65,
)

coronaviruskap = Recipe("coronavirus.coronaviruskap", **coronaviruskap_options)
